Bug 1291030 - [abrt] marble: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>(): marble killed by SIGSEGV
Summary: [abrt] marble: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>(): marble ki...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: marble   
(Show other bugs)
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e8fcc9f7c982bd6000d8e4b2224...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-13 00:23 UTC by xvr
Modified: 2016-12-20 16:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 16:58:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.85 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: core_backtrace (13.88 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: dso_list (22.53 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: environ (3.79 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: maps (108.15 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: mountinfo (3.46 KB, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: open_fds (738 bytes, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-12-13 00:24 UTC, xvr
no flags Details

Description xvr 2015-12-13 00:23:59 UTC
Description of problem:
Simply exit marble.

Version-Release number of selected component:
marble-15.08.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        marble
crash_function: QGenericAtomicOps<QBasicAtomicOps<4> >::load<int>
executable:     /usr/bin/marble
global_pid:     2355
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QGenericAtomicOps<QBasicAtomicOps<4> >::load<int> at ../../src/corelib/thread/qgenericatomic.h:90
 #1 QBasicAtomicInteger<int>::load at ../../src/corelib/thread/qbasicatomic.h:118
 #2 QtPrivate::RefCount::deref at ../../src/corelib/tools/qrefcount.h:60
 #3 QString::~QString at ../../src/corelib/tools/qstring.h:1053
 #4 QHashData::free_helper at tools/qhash.cpp:491
 #5 QHash<QRegExpEngineKey, QCache<QRegExpEngineKey, QRegExpEngine>::Node>::freeData at ../../src/corelib/tools/qhash.h:621
 #6 QHash<QRegExpEngineKey, QCache<QRegExpEngineKey, QRegExpEngine>::Node>::~QHash at ../../src/corelib/tools/qhash.h:342
 #7 QHash<QRegExpEngineKey, QCache<QRegExpEngineKey, QRegExpEngine>::Node>::clear at ../../src/corelib/tools/qhash.h:627
 #8 QCache<QRegExpEngineKey, QRegExpEngine>::clear at tools/qcache.h:119
 #9 QCache<QRegExpEngineKey, QRegExpEngine>::~QCache at tools/qcache.h:87

Comment 1 xvr 2015-12-13 00:24:05 UTC
Created attachment 1105217 [details]
File: backtrace

Comment 2 xvr 2015-12-13 00:24:06 UTC
Created attachment 1105218 [details]
File: cgroup

Comment 3 xvr 2015-12-13 00:24:08 UTC
Created attachment 1105219 [details]
File: core_backtrace

Comment 4 xvr 2015-12-13 00:24:10 UTC
Created attachment 1105220 [details]
File: dso_list

Comment 5 xvr 2015-12-13 00:24:11 UTC
Created attachment 1105221 [details]
File: environ

Comment 6 xvr 2015-12-13 00:24:13 UTC
Created attachment 1105222 [details]
File: exploitable

Comment 7 xvr 2015-12-13 00:24:14 UTC
Created attachment 1105223 [details]
File: limits

Comment 8 xvr 2015-12-13 00:24:17 UTC
Created attachment 1105224 [details]
File: maps

Comment 9 xvr 2015-12-13 00:24:18 UTC
Created attachment 1105225 [details]
File: mountinfo

Comment 10 xvr 2015-12-13 00:24:20 UTC
Created attachment 1105226 [details]
File: namespaces

Comment 11 xvr 2015-12-13 00:24:21 UTC
Created attachment 1105227 [details]
File: open_fds

Comment 12 xvr 2015-12-13 00:24:23 UTC
Created attachment 1105228 [details]
File: proc_pid_status

Comment 13 xvr 2015-12-13 00:24:25 UTC
Created attachment 1105229 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-24 14:12:22 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 16:58:29 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.